For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
      • POSTIndex an asset
      • GETRetrieve an indexed asset
      • GETList indexed assets
      • DELDelete an indexed asset
      • PATCHPartial update indexed asset
      • GETList indexed assets for an asset
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceIndex content

List indexed assets for an asset

GET
https://api.twelvelabs.io/v1.3/assets/:asset_id/indexed-assets
GET
/v1.3/assets/:asset_id/indexed-assets
$curl https://api.twelvelabs.io/v1.3/assets/6298d673f1090f1100476d4c/indexed-assets \
> -H "x-api-key: <apiKey>"
1{
2 "data": [
3 {
4 "_id": "6298d673f1090f1100476d4c",
5 "index": {
6 "_id": "6298d673f1090f1100476d4c",
7 "name": "my-index"
8 }
9 }
10 ],
11 "page_info": {
12 "limit_per_page": 10,
13 "page": 1,
14 "total_page": 1,
15 "total_results": 2
16 }
17}
This method returns a list of indexed assets that reference the specified asset. Each entry includes the indexed asset ID and the index it belongs to.
Was this page helpful?
Previous

Manage videos

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

asset_idstringRequired
The unique identifier of the asset.

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

Response

The indexed assets have been successfully retrieved.
datalist of objects
A list of indexed assets that reference the specified asset.
page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error